Name:             datanommer
Version:          0.2.0
Release:          7%{?dist}
Summary:          A storage consumer for the Fedora Message Bus (fedmsg)

Group:            Development/Libraries
License:          GPLv3+
URL:              http://pypi.python.org/pypi/datanommer
Source0:          http://pypi.python.org/packages/source/d/%{name}/%{name}-%{version}.tar.gz
BuildArch:        noarch


BuildRequires:    python2-devel
BuildRequires:    python-datanommer-models
BuildRequires:    python-datanommer-consumer
BuildRequires:    datanommer-commands

Requires:         python-datanommer-models
Requires:         python-datanommer-consumer
Requires:         datanommer-commands


%description
This is datanommer.  It is comprised of only a fedmsg consumer that
stuffs every message in a sqlalchemy database.

There are also a handful of CLI tools to dump information from the
database.

%prep
%setup -q -n %{name}-%{version}

# Make sure that epel/rhel picks up the correct version of sqlalchemy
%{__awk} 'NR==1{print "import __main__; __main__.__requires__ = __requires__ = [\"sqlalchemy>=0.7\"]; import pkg_resources"}1' setup.py > setup.py.tmp
%{__mv} setup.py.tmp setup.py

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%files
%doc README.rst LICENSE
%{python_sitelib}/%{name}-%{version}*egg-info/

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Nov 12 2012 Ralph Bean <rbean@redhat.com> - 0.2.0-2
- Add a forgotten file declaration on the egg-info.
* Mon Nov 12 2012 Ralph Bean <rbean@redhat.com> - 0.2.0-1
- Split up components into their own packages.
- Stripped out almost all content in this package.
* Mon Oct 08 2012 Ralph Bean <rbean@redhat.com> - 0.1.8-2
- Remove requirement on python-bunch.
* Thu Oct 04 2012 Ralph Bean <rbean@redhat.com> - 0.1.8-1
- More flexible database field types.
* Fri Sep 28 2012 Ralph Bean <rbean@redhat.com> - 0.1.7-1
- New upstream with a db table for compose messages.
* Wed Sep 26 2012 Ralph Bean <rbean@redhat.com> - 0.1.6-1
- Upstream release requiring the latest python-moksha-hub for API tweaks.
* Mon Sep 24 2012 Ralph Bean <rbean@redhat.com> - 0.1.5-1
- Upstream release removed the gpl->LICENSE symlink.  More trouble than it was
  worth.
* Wed Sep 19 2012 Ralph Bean <rbean@redhat.com> - 0.1.4-1
- Depend on the very latest fedmsg to dispel confusion.
* Thu Sep 06 2012 Ralph Bean <rbean@redhat.com> - 0.1.3-2
- Remove whitespace between config and noreplace.
* Thu Aug 30 2012 Ralph Bean <rbean@redhat.com> - 0.1.3-1
- Initial package for Fedora
